[build-system]
requires = ["setuptools>=61.0"]
build-backend = "setuptools.build_meta"

[project]
name = "local_whisper"
authors = [
  { name="Drew Bednar", email="drew@runcible.io" },
]
description = "A virtual assistant for automating a variety of tasks."
readme = "README.md"
requires-python = ">=3.8"
classifiers = [
    "Programming Language :: Python :: 3",
    "License :: OSI Approved :: MIT License",
    "Operating System :: OS Independent",
]
dynamic = ["version", "dependencies"]

[project.scripts]
savant-cli = "local_whisper.cli:main"

[project.optional-dependencies]
whisper = ["openai-whisper"]

[tool.ruff]
# Allow lines to be as long as 120 characters.
line-length = 120

[tool.setuptools]
packages = ["local_whisper"]

[tool.setuptools.dynamic]
version = {attr = "local_whisper.__version__"}
dependencies = {file = ["requirements.txt"]}
